# pandas.Panel4D.pct_change

`Panel4D.``pct_change`(periods=1, fill_method='pad', limit=None, freq=None, **kwargs)

  Percent change over given number of periods.

  Parameters:

  periods : int, default 1

  > Periods to shift for forming percent change

  fill_method : str, default ‘pad’

  > How to handle NAs before computing percent changes

  limit : int, default None

  > The number of consecutive NAs to fill before stopping

  freq : DateOffset, timedelta, or offset alias string, optional

  > Increment to use from time series API (e.g. ‘M’ or BDay())

  Returns: | chg : NDFrame

  Notes

  By default, the percentage change is calculated along the stat axis: 0, or `Index`, for `DataFrame` and 1, or `minor` for `Panel`. You can change this with the `axis` keyword argument.